function Initialise() {
	var xmldoc
		                var xmlnodes
		                var stationoption
		                System.Gadget.settingsUI = "settings.html";
	xmldoc = new ActiveXObject('Msxml2.FreeThreadedDOMDocument.6.0');
	xmldoc.async = false;
	xmldoc.load('stations.xml');
	xmlnodes = xmldoc.documentElement.selectNodes("station");
	for (var i = 0; i < xmlnodes.length; i++) {
		stationoption = new Option(xmlnodes(i).selectSingleNode('@name').text, xmlnodes(i).text);
		stationoption.id = xmlnodes(i).selectSingleNode('@id').text;
		stations.options[i] = stationoption;
	}
	LoadStation();
	PlayStateChange(10);
	if (System.Gadget.Settings.read('AutoPlay')) {
		PlayMedia(true);
	}
	Volume.innerText = mediaplayer.settings.volume + "%";
	paintme();
}
function PlayMedia(startplay) {
	if (startplay) {
		LoadStation();
		mediaplayer.controls.play();
		PlayEnabled(false);
	} else {
		mediaplayer.controls.stop();
		PlayEnabled(true);
	}
}
function PlayEnabled(playable) {
	if (playable) {
		document.getElementById('play').style.display = '';
		document.getElementById('pause').style.display = 'none';
	} else {
		document.getElementById('play').style.display = 'none';
		document.getElementById('pause').style.display = '';
	}
}
function PlayStateChange(newstate) {
	switch (newstate) {
		//case 0: //Undefined - Windows Media Player is in an undefined state.
		//    break;
		case 1: //Stopped - Playback of the current media item is stopped.
		PlayEnabled(true);
		document.getElementById('status').innerText = "";
		break;
		case 2: //Paused - Playback of the current media item is paused. When a media item is paused, resuming playback begins from the same location. 
		PlayEnabled(true);
		document.getElementById('status').innerText = "";
		break;
		case 3: //Playing - The current media item is playing. 
		PlayEnabled(false);
		document.getElementById('status').innerText = "...";
		break;
		//case 4: //ScanForward - The current media item is fast forwarding. 
		//    break;
		//case 5: //ScanReverse - The current media item is fast rewinding. 
		//    break;
		case 6: //Buffering - The current media item is getting additional data from the server. 
		PlayEnabled(false);
		document.getElementById('status').innerText = "...";
		break;
		case 7: //Waiting - Connection is established, but the server is not sending data. Waiting for session to begin. 
		PlayEnabled(false);
		document.getElementById('status').innerText = "...";
		break;
		case 8: //MediaEnded - Media item has completed playback.  
		PlayEnabled(true);
		document.getElementById('status').innerText = "";
		break;
		case 9: //Transitioning - Preparing new media item. 
		PlayEnabled(false);
		document.getElementById('status').innerText = "...";
		break;
		case 10: //Ready - Ready to begin playing. 
		PlayEnabled(true);
		document.getElementById('status').innerText = "";
		break;
		case 11: //Reconnecting - Reconnecting to stream. 
		PlayEnabled(false);
		document.getElementById('status').innerText = "";
		break;
	}
}
function LoadStation() {
	var initstation;
	var stationid;
	initstation = false;
	stationid = System.Gadget.Settings.read('Station');
	if (stationid == '') {
		initstation = true;
	} else if (! document.getElementById(stationid)) {
		initstation = true;
	}
	if (initstation) {
		stationid = document.getElementById('stations').options[0].id;
		System.Gadget.Settings.write('Station', stationid);
		System.Gadget.Settings.write('AutoPlay', 'True');
	}
	mediaplayer.URL = document.getElementById(stationid).value;
}
function speakeronoff(mute) {
	if (mute) {
		oldVol = mediaplayer.settings.volume;
		mediaplayer.settings.volume = 0;
		document.getElementById('speakeron').style.display = 'none';
		document.getElementById('speakeroff').style.display = '';
		Volume.innerText = mediaplayer.settings.volume + "%";
	} else {
		mediaplayer.settings.volume = oldVol;
		document.getElementById('speakeron').style.display = '';
		document.getElementById('speakeroff').style.display = 'none';
		Volume.innerText = mediaplayer.settings.volume + "%";
	}
	System.Gadget.Settings.write("mediaplayervolume", mediaPlayer.settings.volume);
}
function VolumeUp () {
	mediaplayer.settings.volume = mediaplayer.settings.volume += 5;
	Volume.innerText = mediaplayer.settings.volume + "%";
	System.Gadget.Settings.write("mediaplayervolume", mediaplayer.settings.volume);
}
function VolumeDown () {
	mediaplayer.settings.volume = mediaplayer.settings.volume -= 5;
	Volume.innerText = mediaplayer.settings.volume + "%";
	System.Gadget.Settings.write("mediaplayervolume", mediaplayer.settings.volume);
}
function mouseOverUp() {
	document.up.src ="images/volumeup_over.png";
}
function mouseOutUp() {
	document.up.src ="images/volumeup.png";
}
function mouseOverDown() {
	document.down.src ="images/volumedown_over.png";
}
function mouseOutDown() {
	document.down.src ="images/volumedown.png";
}